aboutsummaryrefslogtreecommitdiff
path: root/examples/gbp-pbuilder
diff options
context:
space:
mode:
Diffstat (limited to 'examples/gbp-pbuilder')
-rwxr-xr-xexamples/gbp-pbuilder9
1 files changed, 9 insertions, 0 deletions
diff --git a/examples/gbp-pbuilder b/examples/gbp-pbuilder
new file mode 100755
index 0000000..bb1798e
--- /dev/null
+++ b/examples/gbp-pbuilder
@@ -0,0 +1,9 @@
+#!/bin/sh
+#
+# pbuilder helper for git-buildpackage
+# use this as "builder" in gbp.conf
+set -e
+
+# pass all options to dpkg-buildpackage:
+pdebuild $PBUILDER_OPTS --debbuildopts "-i\.git/ -I.git $*"
+